FsImageProto.SecretManagerSection.DelegationKey.Builder (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, class: FsImageProto, class: SecretManagerSection, class: DelegationKey, class: Builder

Package org.apache.hadoop.hdfs.server.namenode

# Class FsImageProto.SecretManagerSection.DelegationKey.Builder

java.lang.Object
org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite.Builder
org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<BuilderT>
org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.SecretManagerSection.DelegationKey.Builder>
org.apache.hadoop.hdfs.server.namenode.FsImageProto.SecretManagerSection.DelegationKey.Builder

All Implemented Interfaces:
  `Cloneable`, `FsImageProto.SecretManagerSection.DelegationKeyOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.Message.Builder`, `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`, `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

Enclosing class:
  FsImageProto.SecretManagerSection.DelegationKey

public static final class FsImageProto.SecretManagerSection.DelegationKey.Builder extends org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.SecretManagerSection.DelegationKey.Builder> implements FsImageProto.SecretManagerSection.DelegationKeyOrBuilder
Protobuf type `hadoop.hdfs.fsimage.SecretManagerSection.DelegationKey`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FsImageProto.SecretManagerSection.DelegationKey.Builder`
  `addRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `FsImageProto.SecretManagerSection.DelegationKey`
  `build()`
  `FsImageProto.SecretManagerSection.DelegationKey`
  `buildPartial()`
  `FsImageProto.SecretManagerSection.DelegationKey.Builder`
  `clear()`
  `FsImageProto.SecretManagerSection.DelegationKey.Builder`
  `clearExpiryDate()`
  `optional uint64 expiryDate = 2;`
  `FsImageProto.SecretManagerSection.DelegationKey.Builder`
  `clearField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field)`
  `FsImageProto.SecretManagerSection.DelegationKey.Builder`
  `clearId()`
  `optional uint32 id = 1;`
  `FsImageProto.SecretManagerSection.DelegationKey.Builder`
  `clearKey()`
  `optional bytes key = 3;`
  `FsImageProto.SecretManagerSection.DelegationKey.Builder`
  `clearOneof(org.apache.hadoop.thirdparty.protobuf.Descriptors.OneofDescriptor oneof)`
  `FsImageProto.SecretManagerSection.DelegationKey.Builder`
  `clone()`
  `FsImageProto.SecretManagerSection.DelegationKey`
  `getDefaultInstanceForType()`
  `static final org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor`
  `getDescriptorForType()`
  `long`
  `getExpiryDate()`
  `optional uint64 expiryDate = 2;`
  `int`
  `getId()`
  `optional uint32 id = 1;`
  `org.apache.hadoop.thirdparty.protobuf.ByteString`
  `getKey()`
  `optional bytes key = 3;`
  `boolean`
  `hasExpiryDate()`
  `optional uint64 expiryDate = 2;`
  `boolean`
  `hasId()`
  `optional uint32 id = 1;`
  `boolean`
  `hasKey()`
  `optional bytes key = 3;`
  `protected org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `FsImageProto.SecretManagerSection.DelegationKey.Builder`
  `mergeFrom(FsImageProto.SecretManagerSection.DelegationKey other)`
  `FsImageProto.SecretManagerSection.DelegationKey.Builder`
  `mergeFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry)`
  `FsImageProto.SecretManagerSection.DelegationKey.Builder`
  `mergeFrom(org.apache.hadoop.thirdparty.protobuf.Message other)`
  `final FsImageProto.SecretManagerSection.DelegationKey.Builder`
  `mergeUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)`
  `FsImageProto.SecretManagerSection.DelegationKey.Builder`
  `setExpiryDate(long value)`
  `optional uint64 expiryDate = 2;`
  `FsImageProto.SecretManagerSection.DelegationKey.Builder`
  `setField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `FsImageProto.SecretManagerSection.DelegationKey.Builder`
  `setId(int value)`
  `optional uint32 id = 1;`
  `FsImageProto.SecretManagerSection.DelegationKey.Builder`
  `setKey(org.apache.hadoop.thirdparty.protobuf.ByteString value)`
  `optional bytes key = 3;`
  `FsImageProto.SecretManagerSection.DelegationKey.Builder`
  `setRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
  `final FsImageProto.SecretManagerSection.DelegationKey.Builder`
  `setUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder

  `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.Message.Builder

  `mergeDelimitedFrom, mergeDelimitedFrom`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.SecretManagerSection.DelegationKey.Builder>`

  - ### clear

    public FsImageProto.SecretManagerSection.DelegationKey.Builder clear()
    Specified by:
      `clear` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.SecretManagerSection.DelegationKey.Builder>`

  - ### getDescriptorForType

    public org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.SecretManagerSection.DelegationKey.Builder>`

  - ### getDefaultInstanceForType

    public FsImageProto.SecretManagerSection.DelegationKey getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

  - ### build

    public FsImageProto.SecretManagerSection.DelegationKey build()
    Specified by:
      `build` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `build` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`

  - ### buildPartial

    public FsImageProto.SecretManagerSection.DelegationKey buildPartial()
    Specified by:
      `buildPartial` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`

  - ### clone

    public FsImageProto.SecretManagerSection.DelegationKey.Builder clone()
    Specified by:
      `clone` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `clone` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `clone` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.SecretManagerSection.DelegationKey.Builder>`

  - ### setField

    public FsImageProto.SecretManagerSection.DelegationKey.Builder setField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `setField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.SecretManagerSection.DelegationKey.Builder>`

  - ### clearField

    public FsImageProto.SecretManagerSection.DelegationKey.Builder clearField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field)
    Specified by:
      `clearField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `clearField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.SecretManagerSection.DelegationKey.Builder>`

  - ### clearOneof

    public FsImageProto.SecretManagerSection.DelegationKey.Builder clearOneof(org.apache.hadoop.thirdparty.protobuf.Descriptors.OneofDescriptor oneof)
    Specified by:
      `clearOneof` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `clearOneof` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.SecretManagerSection.DelegationKey.Builder>`

  - ### setRepeatedField

    public FsImageProto.SecretManagerSection.DelegationKey.Builder setRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, int index, Object value)
    Specified by:
      `setRepeatedField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setRepeatedField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.SecretManagerSection.DelegationKey.Builder>`

  - ### addRepeatedField

    public FsImageProto.SecretManagerSection.DelegationKey.Builder addRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `addRepeatedField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `addRepeatedField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.SecretManagerSection.DelegationKey.Builder>`

  - ### mergeFrom

    public FsImageProto.SecretManagerSection.DelegationKey.Builder mergeFrom(org.apache.hadoop.thirdparty.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<FsImageProto.SecretManagerSection.DelegationKey.Builder>`

  - ### mergeFrom

    public FsImageProto.SecretManagerSection.DelegationKey.Builder mergeFrom(FsImageProto.SecretManagerSection.DelegationKey other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.SecretManagerSection.DelegationKey.Builder>`

  - ### mergeFrom

    public FsImageProto.SecretManagerSection.DelegationKey.Builder mergeFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<FsImageProto.SecretManagerSection.DelegationKey.Builder>`
    Throws:
      `IOException`

  - ### hasId

    public boolean hasId()
    `optional uint32 id = 1;`
    Specified by:
      `hasId` in interface `FsImageProto.SecretManagerSection.DelegationKeyOrBuilder`
    Returns:
      Whether the id field is set.

  - ### getId

    public int getId()
    `optional uint32 id = 1;`
    Specified by:
      `getId` in interface `FsImageProto.SecretManagerSection.DelegationKeyOrBuilder`
    Returns:
      The id.

  - ### setId

    public FsImageProto.SecretManagerSection.DelegationKey.Builder setId(int value)
    `optional uint32 id = 1;`
    Parameters:
      `value` - The id to set.
    Returns:
      This builder for chaining.

  - ### clearId

    public FsImageProto.SecretManagerSection.DelegationKey.Builder clearId()
    `optional uint32 id = 1;`
    Returns:
      This builder for chaining.

  - ### hasExpiryDate

    public boolean hasExpiryDate()
    `optional uint64 expiryDate = 2;`
    Specified by:
      `hasExpiryDate` in interface `FsImageProto.SecretManagerSection.DelegationKeyOrBuilder`
    Returns:
      Whether the expiryDate field is set.

  - ### getExpiryDate

    public long getExpiryDate()
    `optional uint64 expiryDate = 2;`
    Specified by:
      `getExpiryDate` in interface `FsImageProto.SecretManagerSection.DelegationKeyOrBuilder`
    Returns:
      The expiryDate.

  - ### setExpiryDate

    public FsImageProto.SecretManagerSection.DelegationKey.Builder setExpiryDate(long value)
    `optional uint64 expiryDate = 2;`
    Parameters:
      `value` - The expiryDate to set.
    Returns:
      This builder for chaining.

  - ### clearExpiryDate

    public FsImageProto.SecretManagerSection.DelegationKey.Builder clearExpiryDate()
    `optional uint64 expiryDate = 2;`
    Returns:
      This builder for chaining.

  - ### hasKey

    public boolean hasKey()
    `optional bytes key = 3;`
    Specified by:
      `hasKey` in interface `FsImageProto.SecretManagerSection.DelegationKeyOrBuilder`
    Returns:
      Whether the key field is set.

  - ### getKey

    public org.apache.hadoop.thirdparty.protobuf.ByteString getKey()
    `optional bytes key = 3;`
    Specified by:
      `getKey` in interface `FsImageProto.SecretManagerSection.DelegationKeyOrBuilder`
    Returns:
      The key.

  - ### setKey

    public FsImageProto.SecretManagerSection.DelegationKey.Builder setKey(org.apache.hadoop.thirdparty.protobuf.ByteString value)
    `optional bytes key = 3;`
    Parameters:
      `value` - The key to set.
    Returns:
      This builder for chaining.

  - ### clearKey

    public FsImageProto.SecretManagerSection.DelegationKey.Builder clearKey()
    `optional bytes key = 3;`
    Returns:
      This builder for chaining.

  - ### setUnknownFields

    public final FsImageProto.SecretManagerSection.DelegationKey.Builder setUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `setUnknownFields` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setUnknownFields` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.SecretManagerSection.DelegationKey.Builder>`

  - ### mergeUnknownFields

    public final FsImageProto.SecretManagerSection.DelegationKey.Builder mergeUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `mergeUnknownFields` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `mergeUnknownFields` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.SecretManagerSection.DelegationKey.Builder>`